package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;
import android.widget.EditText;
import android.widget.TextView;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface CarSaleConfigConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void finishPage(); 
		void addCustomView(android.view.View view);
		void readQRCode();
		void vibrate(int duration);
		void setMoreOptionBtnVisiable(int visibility);
		void setMoreOptionBtnStr(String moreStr);
		android.view.View getCarNoLiscenseView();
		TextView getCarNoLiscenseTextView();
		
		void setCarNoLiscense(String carLiscense);
		String getCarNoLiscense();
		
		void setCarNo(String carNo);
		String getCarNo();
		//不可选中接口
		
		void setCarNoEnabled(boolean b);
		
		void setEngineNumber(String engineNumberStr);
		String getEngineNumber();
		
		void setVinNumber(String vinNumberStr);
		String getVinNumber();
		void setClientTel(String clientTel);
		String getClientTel();
		void setPackageLabel(String packageLabel);
		String getPackageLabel();
		void setBillImageCount(int count);
		void setSaleAdapter(BaseAdapter adapter);
		void setPictureVisible(boolean b);
		
		void setVinNumberVisiable(int visibility);
		void setClientTelVisiable(int visibility);
		void setPackageVisiable(int visibility);
		void setCarNoButton(int visibility);
		
		void setEngineNumberHint(String str);
		void setEngineNumberText(String str);
		void setEngineNumberEnabled(boolean b);
		EditText getDateTextView();
		
	//	void setUploadStatusVisiable(int visibility);
	//	void setUploadStatusStr(String uploadStr);
		
		void setBtnCarNoVerifyEnabled(boolean b);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void moreOptionClick();
		void choiceCarNoLiscense();
		void carNoVerifyClick();
		void scannerClick();
		void choicePictureClick();
		void scannerSuccess(String str);
		void listItemClick();
		void listLongItemClick();
		void dataClick();
	}

}
